Bug 118183 - binutils assertion hit on ppc64
Summary: binutils assertion hit on ppc64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 21:46 UTC by Elliot Lee
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 18:20:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2004-03-12 21:46:09 UTC
Rebuilding the 'parted' package on ppc64 fails. gcc complains a bunch,
and then we see lines such as:

/usr/bin/ld: BFD 2.14.90.0.8 20040114 assertion fail
../../bfd/elflink.c:2275

See ~sopwith/rebuild/logs/parted*ppc64*.log for the whole spiel.

Comment 1 Jakub Jelinek 2004-03-15 17:34:55 UTC
This is primarily bug on parted's part.  -Wl,-static is terribly wrong
and so is -Wl,-lc.  Instead of -Wl,-static it should pass -static
to the compiler, gcc links things different for -static and !-static.
If -Wl,-static is used, this is hidden to the compiler driver and bad
things happen.  And why that -Wl,-lc in there?  gcc driver puts -lc
by default at the right place on the link line...

Comment 2 Elliot Lee 2004-03-15 18:20:46 UTC
Fixing, thanks.


Note You need to log in before you can comment on or make changes to this bug.